v1.0.0
OpenAPI 3.1.0

Get ESP-suppressed emails by type

US region

Client Libraries

Get ESP-suppressed emails by type

Find addresses suppressed by the Email Service Provider (ESP) for a particular reason—bounces, blocks, spam reports, or invalid email addresses.

You can get up to 1000 addresses per request. Use the offset parameter to get addresses beyond the first 1000.

If you have multiple sending domains, we recommend querying for each domain separately, as an email address may be suppressed on multiple domains.

Note: If you have a large number of suppressions, consider using the Get ESP-suppressed emails by domain endpoint. It's more performant for large datasets.

Path Parameters
  • suppression_type
    Type: stringenum
    required

    The reason a person's email address was suppressed by the email service provider (ESP).

    values
    • blocks
    • bounces
    • spam_reports
    • invalid_emails
Query Parameters
  • limit
    Type: integer
    max:  
    1000

    The maximum number of results you want to retrieve per page.

  • offset
    Type: integer

    The number of records to skip before retrieving results.

  • domain
    Type: string

    Filter by sending domain.

Responses
  • application/json
  • application/json
Request Example for get/v1/esp/suppression/{suppression_type}
curl 'https://api.customer.io/v1/esp/suppression/blocks?limit=100&offset=0&domain=mail.example.com' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "category": "bounces",
  "suppressions": [
    {
      "created": 1650895738,
      "email": "bounced.person@example.com",
      "reason": "Uploaded manually via api.customer.io",
      "status": "550"
    }
  ]
}